#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_every.mcfunction | Runs '_run_every_tick' and '_run_every_second'.
#                       | Tagged by 'minecraft:tick'
#
# //functions tagged in minecraft:tick will automatically run every tick at the beginning of each tick//
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# Run '_run_every_tick' ...wait for it... every tick. ;)
function xiphias:_run_every_tick

# Run '_run_every_second' every second.
scoreboard players add SirSecondTick xph_tick_ticker 1
execute if score SirSecondTick xph_tick_ticker matches 1 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 11 run function xiphias:_run_every_odd_second
execute if score SirSecondTick xph_tick_ticker matches 21 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 31 run function xiphias:_run_every_even_second
execute if score SirSecondTick xph_tick_ticker matches 41 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 51 run function xiphias:_run_every_odd_second
execute if score SirSecondTick xph_tick_ticker matches 61 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 71 run function xiphias:_run_every_even_second
execute if score SirSecondTick xph_tick_ticker matches 81 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 91 run function xiphias:_run_every_odd_second
execute if score SirSecondTick xph_tick_ticker matches 101 run function xiphias:_run_every_second
execute if score SirSecondTick xph_tick_ticker matches 111 run function xiphias:_run_every_even_second
execute if score SirSecondTick xph_tick_ticker matches 120.. run scoreboard players set SirSecondTick xph_tick_ticker 0

# END OF LINE.