#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# yellow_wool.mcfunction | Award the active player and share the Advancement with other players.
#                        | Called by 'Place the Yellow Wool' Advancement
#

# Display Current Gameplay Stats
execute as @a run function xiphias:_chicken_lunch

# Loot Chest Lv2, Speed II (15%), Haste I, Conduit Power I
tellraw @s ["",{"text":"Loot Chest Lv2 Given\n","color":"aqua"},{"text":"Permanent Speed II (15%) Enabled\nPermanent Haste I Enabled\nPermanent Conduit Power I Enabled","color":"red"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Message Players About the Rabbits
tellraw @s ["",{"text":"\nFive Green Rabbits,","color":"green"},{"text":"\nin "},{"text":"Truskeia Desert","color":"aqua"},{"text":" they now are,\n"},{"text":"While one may be quite Lucky,","color":"green"},{"text":"\n"},{"text":"The others have sharp ","color":"white"},{"text":"fangs","color":"red"},{"text":".","color":"white"},{"text":"\n"},{"text":"/(","color":"green"},{"text":"'","color":"white"},{"text":"vv","color":"red"},{"text":"'","color":"white"},{"text":")\\\n","color":"green"}]

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 2\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv2"}}

# /Recipe and XP Awards are given through the Advancement/

# |===| Spawn Rabbits for Lime Wool |===|
#   Summon Lucky Rabbit
#execute unless score SirSecondTick xph_rabbit matches 1 run summon rabbit 1572 65 388 {Team:Lucky,Invulnerable:1,PersistenceRequired:1,CustomName:"\"Lucky Rabbit\"",ActiveEffects:[{Id:24,Amplifier:0,Duration:999999},{Id:26,Amplifier:0,Duration:999999}],RabbitType:1}
#   Summon Lucky Rabit x4
#execute unless score SirSecondTick xph_rabbit matches 1 run summon rabbit 1723 70 314 {Team:Lucky,PersistenceRequired:1,CustomName:"\"Lucky Rabit\"",RabbitType:99,Health:5,ActiveEffects:[{Id:24,Amplifier:0,Duration:999999},{Id:27,Amplifier:0,Duration:999999}]}
#execute unless score SirSecondTick xph_rabbit matches 1 run summon rabbit 1613 60 324 {Team:Lucky,PersistenceRequired:1,CustomName:"\"Lucky Rabit\"",RabbitType:99,Health:5,ActiveEffects:[{Id:24,Amplifier:0,Duration:999999},{Id:27,Amplifier:0,Duration:999999}]}
#execute unless score SirSecondTick xph_rabbit matches 1 run summon rabbit 1596 61 386 {Team:Lucky,PersistenceRequired:1,CustomName:"\"Lucky Rabit\"",RabbitType:99,Health:5,ActiveEffects:[{Id:24,Amplifier:0,Duration:999999},{Id:27,Amplifier:0,Duration:999999}]}
#execute unless score SirSecondTick xph_rabbit matches 1 run summon rabbit 1511 58 334 {Team:Lucky,PersistenceRequired:1,CustomName:"\"Lucky Rabit\"",RabbitType:99,Health:5,ActiveEffects:[{Id:24,Amplifier:0,Duration:999999},{Id:27,Amplifier:0,Duration:999999}]}
#   Don't Rabbit again
#scoreboard players set SirSecondTick xph_rabbit 1
# |=====================================|

# Give Tag needed for Potion Effects and Win Condition, Tag: yellow_wool
tag @s add yellow_wool

# Award Advancement to other players.
advancement grant @a only xiphias:wool/b02_yellow_wool

# END OF LINE.