#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_every_odd_second.mcfunction | Runs all commands that need to be run every other second. (Thread 1)
#                                  | Called by 'xiphias:_run_every'
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# |===| Some Effects are a Little Annoying |===|
effect clear @a minecraft:poison
# |============================================|

# |===| Grouped Advancements |===|
#   World Class Food
advancement grant @a[tag=roasted_tayto,tag=royalheart_root,tag=red_velvet_soup,tag=!foods_of_hacienda] only xiphias:world_class_food/a01_foods_of_hacienda
advancement grant @a[tag=seasoned_kelp,tag=silky_mushroom,tag=glazed_pumpkin,tag=!foods_of_truskeia] only xiphias:world_class_food/b01_foods_of_truskeia
advancement grant @a[tag=normal_jerky,tag=not_poisonous_candy,tag=yummy_soup,tag=!foods_of_bahreev] only xiphias:world_class_food/c01_foods_of_bahreev
advancement grant @a[tag=foods_of_hacienda,tag=foods_of_truskeia,tag=foods_of_bahreev,tag=!world_class_food] only xiphias:world_class_food/root
#   World Class Tool
advancement grant @a[tag=cobblestone,tag=dirt,tag=jungle_log,tag=!wood_tools] only xiphias:world_class_tool/a01_wood_tools
advancement grant @a[tag=iron_ore,tag=sand,tag=oak_log,tag=!stone_tools] only xiphias:world_class_tool/b01_stone_tools
advancement grant @a[tag=gold_ore,tag=clay,tag=birch_log,tag=!iron_tools] only xiphias:world_class_tool/c01_iron_tools
advancement grant @a[tag=wood_tools,tag=stone_tools,tag=iron_tools,tag=!world_class_tool] only xiphias:world_class_tool/root
#   World Class Book
advancement grant @a[tag=mineshaft_books,tag=lava_lake_books,tag=!hacienda_books] only xiphias:world_class_book/a01_hacienda_books
advancement grant @a[tag=monument_books,tag=shipwreck_books,tag=!truskeia_books] only xiphias:world_class_book/b01_truskeia_books
advancement grant @a[tag=high_cliff_books,tag=blast_mines_books,tag=!bahreev_books] only xiphias:world_class_book/c01_bahreev_books
advancement grant @a[tag=hacienda_books,tag=truskeia_books,tag=bahreev_books,tag=!world_class_book] only xiphias:world_class_book/root
#   World Class
advancement grant @a[tag=world_class_food,tag=world_class_tool,tag=world_class_book,tag=!world_class] only xiphias:wool/a06_world_class
# |==============================|

# |===| ZAP ZAP A |===|
execute as @e[type=vex,distance=..10,x=229,y=80,z=234] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=229,y=80,z=234] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=231,y=83,z=268] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=231,y=83,z=268] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=191,y=82,z=309] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=191,y=82,z=309] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=151,y=79,z=330] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=151,y=79,z=330] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=93,y=77,z=341] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=93,y=77,z=341] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=56,y=65,z=263] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=56,y=65,z=263] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=75,y=58,z=197] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=vex,distance=..10,x=75,y=58,z=197] run execute at @s run summon minecraft:lightning_bolt ~ ~ ~
# |===================|

# END OF LINE.