#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# anvil.mcfunction | Award the active player and share the Advancement with other players.
#                  | Called by 'Anvil Powered Strength' Advancement
#

# Loot Chest Lv0, Anvil x10
tellraw @s ["",{"text":"Loot Chest Lv0 Given\nAnvil x10 Given","color":"aqua"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 0\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv0"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Player Anvil "Gift"
execute at @s run setblock ~1 ~5 ~1 minecraft:anvil[facing=north] keep
execute at @s run setblock ~-2 ~15 ~1 minecraft:anvil[facing=west] keep
execute at @s run setblock ~1 ~25 ~-2 minecraft:anvil[facing=north] keep
execute at @s run setblock ~-2 ~30 ~-2 minecraft:anvil[facing=west] keep
execute at @s run setblock ~1 ~40 ~-2 minecraft:anvil[facing=north] keep
execute at @s run setblock ~1 ~45 ~2 minecraft:anvil[facing=west] keep
execute at @s run setblock ~-2 ~50 ~2 minecraft:anvil[facing=north] keep
execute at @s run setblock ~-1 ~55 ~-1 minecraft:anvil[facing=west] keep
execute at @s run setblock ~1 ~60 ~-3 minecraft:anvil[facing=north] keep
execute at @s run setblock ~0 ~80 ~0 minecraft:anvil[facing=west] keep

# Award Advancement to other players.
advancement grant @a only xiphias:misc/b02_anvil

# END OF LINE.